MINI-BUILDD-DPUT(1)

NAME
mini-buildd-dput - Upload it like mini-buildd (unlike dput/dput-ng, supports ftps)

DESCRIPTION
usage: mini-buildd-dput [-h] [--version] [-l LOG_LEVEL] [-c CONFIG] [-f] [-C]

    TARGET CHANGES

Upload it like mini-buildd (unlike dput/dput-ng, supports ftps)

  positional arguments:

TARGET
    dput target (configuration section id in .dput.cf)

CHANGES
    changes file

  options:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

-l, --log-level LOG_LEVEL
    set log level (if none given, ['WARNING', 'mini_buildd.INFO'] is applied by default). May also be given as ``<logger>.<level>`` to effect individual loggers only, and multiple times (check existing logs for actual logger names). (default: None)

-c, --config CONFIG
    Configuration file to parse (default: ~/.dput.cf)

-f, --force
    Disable check for unique upload (default: False)

-C, --check-result
    Wait for and check packaging results (fails if package is not installed) (default: False)